package com.qmth.teachcloud.mark.bean.papermigrate;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

public class PaperMigrateDomain {


    @NotNull(message = "考试ID不能为空")
    private Long examId;

    @NotBlank(message = "coursePaperId不能为空")
    private String coursePaperId;
    
    @NotBlank(message = "studentCode不能为空")
    private String studentCode;
    
    @NotNull(message = "cardNumber不能为空")
    private Integer cardNumber;

    private List<PaperMigratePaper> papers;

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public String getCoursePaperId() {
		return coursePaperId;
	}

	public void setCoursePaperId(String coursePaperId) {
		this.coursePaperId = coursePaperId;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public Integer getCardNumber() {
		return cardNumber;
	}

	public void setCardNumber(Integer cardNumber) {
		this.cardNumber = cardNumber;
	}

	public List<PaperMigratePaper> getPapers() {
		return papers;
	}

	public void setPapers(List<PaperMigratePaper> papers) {
		this.papers = papers;
	}


}
